Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Peer_Admin Class Template Reference

Extend the Proxy_Admin interface to provide methods for filtering. More...

`#include <ESF_Peer_Admin.h>`

Inheritance diagram for TAO_ESF_Peer_Admin:

[legend]
Collaboration diagram for TAO_ESF_Peer_Admin:

[legend]
List of all members.

## Public Methods
| TAO_ESF_Peer_Admin (EVENT_CHANNEL *ec)
| Constructor. More...
virtual | ~TAO_ESF_Peer_Admin (void)
| destructor. More...
virtual void | peer_connected (PEER *peer ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
virtual void | peer_reconnected (PEER *peer ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
virtual void | peer_disconnected (PEER *peer ACE_ENV_ARG_DECL) throw (CORBA::SystemException)

## Detailed Description

### template<class EVENT_CHANNEL, class PROXY, class INTERFACE, class PEER>
class TAO_ESF_Peer_Admin< EVENT_CHANNEL, PROXY, INTERFACE, PEER >

Extend the Proxy_Admin interface to provide methods for filtering.

Some Event Services that perform filtering have to propagate the consumer connect/disconnect activities to the suppliers, and vice-versa. In that scenario the ESF_Proxy_Admin<> interface is augmented with connected()/reconnected()/disconnected() operations for the proxy peers (i.e. the ProxySuppliers for the ProxyConsumers and vice-versa).

## Requirements

In addition to the requirements imposed by ESF_Proxy_Admin<> the PROXY interface must implement:

     * void connected (PEER *peer ACE_ENV_ARG_DECL_NOT_USED) throw ();
     * void reconnected (PEER *peer ACE_ENV_ARG_DECL_NOT_USED) throw ();
     * void disconnected (PEER *peer ACE_ENV_ARG_DECL_NOT_USED) throw ();
     *

Similarly, the PEER interface must implement:

     * void connected (PROXY *proxy ACE_ENV_ARG_DECL_NOT_USED) throw ();
     * void reconnected (PROXY *proxy ACE_ENV_ARG_DECL_NOT_USED) throw ();
     * void disconnected (PROXY *proxy ACE_ENV_ARG_DECL_NOT_USED) throw ();
     *

## Constructor & Destructor Documentation

template<class EVENT_CHANNEL, class PROXY, class INTERFACE, class PEER>
TAO_ESF_Peer_Admin< EVENT_CHANNEL, PROXY, INTERFACE, PEER >::TAO_ESF_Peer_Admin | ( | EVENT_CHANNEL * | ec | ) |

| Constructor.

template<class EVENT_CHANNEL, class PROXY, class INTERFACE, class PEER>
TAO_ESF_Peer_Admin< EVENT_CHANNEL, PROXY, INTERFACE, PEER >::~TAO_ESF_Peer_Admin | ( | void |  | ) | `[virtual]`

| destructor.

## Member Function Documentation

template<class EVENT_CHANNEL, class PROXY, class INTERFACE, class PEER>
void TAO_ESF_Peer_Admin< EVENT_CHANNEL, PROXY, INTERFACE, PEER >::peer_connected | ( | PEER *peer | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| A <peer> has connected, this is invoked when the peer's client has invoked the connect_xxx_yyy() method. The default implementation is a no-op.

template<class EVENT_CHANNEL, class PROXY, class INTERFACE, class PEER>
void TAO_ESF_Peer_Admin< EVENT_CHANNEL, PROXY, INTERFACE, PEER >::peer_disconnected | ( | PEER *peer | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| A <peer> has been disconnected. The default implementation removes the object from the collection and deactivates the proxy.

template<class EVENT_CHANNEL, class PROXY, class INTERFACE, class PEER>
void TAO_ESF_Peer_Admin< EVENT_CHANNEL, PROXY, INTERFACE, PEER >::peer_reconnected | ( | PEER *peer | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| A <peer> has reconnected, i.e. its client has invoked the connect_xxx_yyy() method, but the peer was connected already. The default implementation delegates on the collection <reconnected> method

The documentation for this class was generated from the following files:

- ESF_Peer_Admin.h
- ESF_Peer_Admin.cpp